## LatexilaView LatexilaView — Additional TeplView functions |

## Functions

void | latexila_view_setup ()
gchar * | latexila_view_get_indentation_style ()

## Includes

    #include <latexila.h>

## Description

Additional TeplView functions.

## Functions

### latexila_view_setup ()

    void
    latexila_view_setup (GtkSourceView *view);

Setups a GtkSourceView widget for GNOME LaTeX.

#### Parameters

view | a GtkSourceView widget. |

### latexila_view_get_indentation_style ()

    gchar *
    latexila_view_get_indentation_style (GtkSourceView *view);

Returns one indentation level, as a string.

Attention, this function assumes that the “indent-width” is -1 or equal to the “tab-width”, which is always the case in GNOME LaTeX (there is no GSettings for the “indent-width”).

#### Parameters

view | a GtkSourceView. |

#### Returns

one indentation level, as a string. Free with `g_free()` when no longer needed.